## google-android-installers 1686227321

=== debian/changelog ===
google-android-installers (1686227321) unstable; urgency=medium

  * New upstream update
    - NEW packages:
      - google-android-build-tools-33.0.2-installer
      - google-android-build-tools-34.0.0-installer
      - google-android-platform-33-ext4-installer
      - google-android-platform-33-ext5-installer
      - google-android-platform-34-installer
      - google-android-platform-33-upsidedowncakeprivacysandbox-installer
    - update emulator package to 32.1.13
    - update platform-tools package to 34.0.3
  * update 51-android.rules to latest upstream
  * d/.gitlab-ci.yml: add SALSA_CI_PIUPART_ARGS to ignore /usr/lib32/
  * d/.gitlab-ci.yml: disable lintian's show-overrides
  * d/scripts: fail scripts on error
  * support multiple platform;android-33 components
  * add conflicts for the cases of multiple platform;android-33 packages
  * improvements to get unpacked size of packages
  * Remove old update scripts
  * remove for-postinst/docs/. This is managed by another source package
  * Update copyright
  * update source/lintian-overrides
  * d/rules:
      - autogenerate files 'after_dh_prep' and not before
      - factorize functions, call external scripts
  * for cmdline-tools depend on build-tools through Provides
  * add virtual package google-android-cmdline-tools-latest-installer
  * use common functions in get_unpacked_size.sh
  * use common functions in build_tests_control_file.sh
  * use common functions in build_control_file.sh
  * d/scripts/upgrade_package_versions.sh: various fixes & improvements
  * README.source: remove now unneeded call to dpkg-buildpackage
  * d/scripts/get_unpacked_size.sh: fix ZIPFILE variable typo

 -- Fab Stz <fabstz-it@yahoo.fr>  Fri, 16 Jun 2023 09:15:42 +0200
