## google-android-installers 1695033340

=== debian/changelog ===
google-android-installers (1695033340) unstable; urgency=medium

  * New upstream update
    - NEW packages:
      - google-android-cmdline-tools-10.0-installer
      - google-android-cmdline-tools-11.0-installer
      - google-android-ndk-r26-installer
      - google-android-platform-34-upsidedowncakeprivacysandbox-installer
      - google-android-sources-34-installer
    - DELETED package:
      - google-android-platform-33-upsidedowncakeprivacysandbox-installer
    - update platform-tools package to 34.0.4
    - update emulator package to 32.1.15
    - update Android SDK Platform 33
    - update Android SDK Platform 34
  * update 51-android.rules to latest upstream
  * build-tools: add Provides & improve alternatives
  * cmdline-tools: add Provides & improve alternatives
  * Move addition of 'google-android-cmdline-tools-latest-installer' Provides
    to other script
  * cmdline-tools: Conflicts with android-platform-tools-base, sdkmanager
  * fix Conflicts & Replaces for build-tools & cmdline-tools

 -- Fab Stz <fabstz-it@yahoo.fr>  Thu, 21 Sep 2023 09:06:31 +0200
