## google-android-installers 1710437545

=== debian/changelog ===
google-android-installers (1710437545-3build2) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:15:14 +0000

google-android-installers (1710437545-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:33 +1100

google-android-installers (1710437545-3) unstable; urgency=medium

  * d/p/udev_rules.patch: add Forwarded & Description header
  * tools component: remove dependency to openjdk-8-jre-headless
  * d/tests/control: run 'build-tools:aapt_conflicts' with DEBIAN_FRONTEND=noninteractive

 -- Fab Stz <fabstz-it@yahoo.fr>  Thu, 28 Mar 2024 08:30:49 +0100

google-android-installers (1710437545-2) unstable; urgency=medium

  * tools component: remove dependency to libswt-gtk-3-java

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 27 Mar 2024 08:55:58 +0100

google-android-installers (1710437545-1) unstable; urgency=medium

  * Migrate package from native to non-native
  * cleanup usage of trap
  * d/scripts/run_after_dh_prep.sh: install licenses file only if g-a-licenses
    is built
  * d/scripts/run_dh_gencontrol.sh: run on g-a-licenses only if package is
    created
  * d/scripts/run_dh_gencontrol.sh: support version numbers with epoch
  * d/scripts/_common_functions.sh: don't return obsolete line if there are at
    least two
  * d/scripts/make_zip_package.sh: add new features (support non-native,
    split, override version...)
  * d/README.source: update upgrade procedure now that we are non-native
  * lintian-overrides: silence warning due to migration to non-native package
  * gitlab-ci: show lintian overrides again
  * d/scripts/upgrade_package_versions.sh: call date without debian revision
  * New upstream version:
    - NEW packages:
      - google-android-platform-34-vanillaicecream-installer
      - google-android-tools-installer
      - google-android-cmdline-tools-13.0-installer
    - update platform-tools package to 35.0.0
    - update platform-34 package to rev3
    - update emulator package to 34.1.19
  * lintian-overrides: fix override mismatch
  * d/rules: set deb compression format to xz
  * d/scripts/upgrade_package_versions.sh: fallback to last-modified if 'Generated on' is not set
  * set version contraint on Conflicts for build-tools & cmdline-tools and add
    corresponding test to autopkgtest (Closes: #1065668)
  * set the list of tools shipped by each package dynamically
  * d/control: replace <version> placeholder by actual value
  * move debian/version_list.info's REPO_DIR to d/scripts/_common_functions.sh
  * d/scripts/build_control_file.sh: show progress of script
  * rewrite upgrade procedure
  * remove superfluous files remaining after package renames
  * d/scripts/run_after_dh_prep.sh: fix version constraint on Conflicts/Provides to not block upgrades
  * relax dependency constraint on google-android-licenses
  * fix creation of zip package in case of SPLIT=1
  * fix missing license sha1sum when building only google-android-licences
  * add google-android-tools-installer package
  * apply wrap-and-sort for d/tests/control
  * d/scripts/update_upstream.sh: prepend dir to orig.tar
  * use alternatives to select /usr/lib/android-ndk
  * d/scripts/get_unpacked_size.sh: install with --ignore-depends
  * google-android-extras-google-auto-installer: relax Depends

 -- Fab Stz <fabstz-it@yahoo.fr>  Sun, 17 Mar 2024 14:16:59 +0100

google-android-installers (1707406511) unstable; urgency=medium

  * New upstream update
    - NEW packages:
      - google-android-build-tools-33.0.3-installer
      - google-android-ndk-r26c-installer

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 12 Feb 2024 22:16:20 +0100

google-android-installers (1706036194) unstable; urgency=medium

  [ Fab Stz ]
  * New upstream update
    - NEW packages:
      - google-android-ndk-r26b-installer
      - google-android-platform-34-ext8-installer
      - google-android-platform-34-ext10-installer
      - google-android-cmdline-tools-12.0-installer
    - DELETED package:
      - google-android-patcher-4-installer
    - update platform-tools package to 34.0.5
    - update emulator package to 33.1.24
    - update platform-34-upsidedowncakeprivacysandbox package to rev3
  * d/control*: remove Mouaad Aallam from Uploaders
  * update 51-android.rules to latest upstream
  * permit to create an alternative source package including the zip
  * d/control: relax deps to find udev.pc
  * apply 'wrap-and-sort -t'
  * Bump Standards-Version to 4.6.2 (no change required)

  [ Chris Hofstaedtler ]
  * Use udev.pc to place udev files. (Closes: #1058804)

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 24 Jan 2024 10:38:18 +0100
