=== debian/control ===
--- 
+++ 
@@ -3,10 +3,16 @@
 Source: google-android-installers
 Section: non-free/devel
 Priority: optional
-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
-Uploaders: Roger Shimizu <rosh@debian.org>, Mouaad Aallam <Mouaad@Aallam.com>
-Build-Depends: bash-completion, debhelper-compat (=13), po-debconf
-Standards-Version: 4.6.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
+Uploaders: Roger Shimizu <rosh@debian.org>,
+Build-Depends: bash-completion,
+               debhelper-compat (=13),
+               pkgconf,
+               po-debconf,
+               systemd-dev (>= 253-3~) | udev (<< 253-3~),
+               xsltproc,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://developer.android.com/about/index.html
 Vcs-Git: https://salsa.debian.org/google-android-tools-team/google-android-installers.git
@@ -15,7 +21,7 @@
 
 Package: google-android-licenses
 Architecture: all
-Depends: ${googleAndroidInstallers:Depends}, ${misc:Depends}
+Depends: ${googleAndroidInstallers:Depends}, ${misc:Depends},
 Description: Google's SDK licences subfolder with licenses SHA1 sums
  This package hols the "licenses" folder of the Google Android SDK folder
  structure.
@@ -33,10 +39,10 @@
            ${google-android-platform-7-installer:Conflicts},
 Replaces: android-sdk-platform-7,
           libandroid-7-java,
-          libandroid-uiautomator-7-java
-Depends: google-android-licenses (= ${source:Version}),
-         ${googleAndroidInstallers:Depends},
-         ${misc:Depends}
+          libandroid-uiautomator-7-java,
+Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
+         ${googleAndroidInstallers:Depends},
+         ${misc:Depends},
 Description: Google's Android SDK Platform 7 Installer
  This package will download the Google's Android SDK Platform 7 package and
  unpacks it into Debian-friendly paths.
@@ -58,10 +64,10 @@
            ${google-android-platform-8-installer:Conflicts},
 Replaces: android-sdk-platform-8,
           libandroid-8-java,
-          libandroid-uiautomator-8-java
-Depends: google-android-licenses (= ${source:Version}),
-         ${googleAndroidInstallers:Depends},
-         ${misc:Depends}
+          libandroid-uiautomator-8-java,
+Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
+         ${googleAndroidInstallers:Depends},
+         ${misc:Depends},
 Description: Google's Android SDK Platform 8 Installer
  This package will download the Google's Android SDK Platform 8 package and
  unpacks it into Debian-friendly paths.
@@ -83,10 +89,10 @@
            ${google-android-platform-9-installer:Conflicts},
 Replaces: android-sdk-platform-9,
           libandroid-9-java,
-          libandroid-uiautomator-9-java
-Depends: google-android-licenses (= ${source:Version}),
-         ${googleAndroidInstallers:Depends},
-         ${misc:Depends}
+          libandroid-uiautomator-9-java,
+Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
+         ${googleAndroidInstallers:Depends},
+         ${misc:Depends},
 Description: Google's Android SDK Platform 9 Installer
  This package will download the Google's Android SDK Platform 9 package and
  unpacks it into Debian-friendly paths.
@@ -108,10 +114,10 @@
            ${google-android-platform-10-installer:Conflicts},
 Replaces: android-sdk-platform-10,
           libandroid-10-java,
-          libandroid-uiautomator-10-java
-Depends: google-android-licenses (= ${source:Version}),
-         ${googleAndroidInstallers:Depends},
-         ${misc:Depends}
+          libandroid-uiautomator-10-java,
+Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
+         ${googleAndroidInstallers:Depends},
+         ${misc:Depends},
 Description: Google's Android SDK Platform 10 Installer
  This package will download the Google's Android SDK Platform 10 package and
  unpacks it into Debian-friendly paths.
@@ -133,10 +139,10 @@
            ${google-android-platform-11-installer:Conflicts},
 Replaces: android-sdk-platform-11,
           libandroid-11-java,
-          libandroid-uiautomator-11-java
-Depends: google-android-licenses (= ${source:Version}),
-         ${googleAndroidInstallers:Depends},
-         ${misc:Depends}
+          libandroid-uiautomator-11-java,
+Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
+         ${googleAndroidInstallers:Depends},
+         ${misc:Depends},
 Description: Google's Android SDK Platform 11 Installer
  This package will download the Google's Android SDK Platform 11 package and
  unpacks it into Debian-friendly paths.
@@ -158,10 +164,10 @@
            ${google-android-platform-12-installer:Conflicts},
 Replaces: android-sdk-platform-12,
           libandroid-12-java,
-          libandroid-uiautomator-12-java
-Depends: google-android-licenses (= ${source:Version}),
-         ${googleAndroidInstallers:Depends},
-         ${misc:Depends}
+          libandroid-uiautomator-12-java,
+Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
+         ${googleAndroidInstallers:Depends},
+         ${misc:Depends},
 Description: Google's Android SDK Platform 12 Installer
  This package will download the Google's Android SDK Platform 12 package and
  unpacks it into Debian-friendly paths.
@@ -183,10 +189,10 @@
            ${google-android-platform-13-installer:Conflicts},
 Replaces: android-sdk-platform-13,
           libandroid-13-java,
-          libandroid-uiautomator-13-java
-Depends: google-android-licenses (= ${source:Version}),
-         ${googleAndroidInstallers:Depends},
-         ${misc:Depends}
+          libandroid-uiautomator-13-java,
+Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
+         ${googleAndroidInstallers:Depends},
+         ${misc:Depends},
 Description: Google's Android SDK Platform 13 Installer
  This package will download the Google's Android SDK Platform 13 package and
  unpacks it into Debian-friendly paths.
@@ -208,10 +214,10 @@
            ${google-android-platform-14-installer:Conflicts},
 Replaces: android-sdk-platform-14,
           libandroid-14-java,
-          libandroid-uiautomator-14-java
-Depends: google-android-licenses (= ${source:Version}),
-         ${googleAndroidInstallers:Depends},
-         ${misc:Depends}
+          libandroid-uiautomator-14-java,
+Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
+         ${googleAndroidInstallers:Depends},
+         ${misc:Depends},
 Description: Google's Android SDK Platform 14 Installer
  This package will download the Google's Android SDK Platform 14 package and
  unpacks it into Debian-friendly paths.
@@ -233,10 +239,10 @@
            ${google-android-platform-15-installer:Conflicts},
 Replaces: android-sdk-platform-15,
           libandroid-15-java,
-          libandroid-uiautomator-15-java
-Depends: google-android-licenses (= ${source:Version}),
-         ${googleAndroidInstallers:Depends},
-         ${misc:Depends}
+          libandroid-uiautomator-15-java,
+Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
+         ${googleAndroidInstallers:Depends},
+         ${misc:Depends},
 Description: Google's Android SDK Platform 15 Installer
  This package will download the Google's Android SDK Platform 15 package and
  unpacks it into Debian-friendly paths.
@@ -258,22 +264,11 @@
            ${google-android-platform-16-installer:Conflicts},
 Replaces: android-sdk-platform-16,
           libandroid-16-java,
-          libandroid-uiautomator-16-java
-Depends: google-android-licenses (= ${source:Version}),
-         ${googleAndroidInstallers:Depends},
-         ${misc:Depends}
+          libandroid-uiautomator-16-java,
+Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
+         ${googleAndroidInstallers:Depends},
+         ${misc:Depends},
 Description: Google's Android SDK Platform 16 Installer
  This package will download the Google's Android SDK Platform 16 package and
  unpacks it into Debian-friendly paths.
  .
- Google's Android SDK Platform includes android.jar file with fully compliant
- Android library. In order to build an Android app, this SDK platform must be
- specified as build target.
- .
- WARNING: Installing this Debian package causes android-16_r05.zip (48 MB)
- to be downloaded from dl.google.com and/or from other suggested mirrors. The
- End User License Agreement of this binary package is available at
- developer.android.com.
-
-Package: google-android-platform-17-installer
-Architecture: all
