## google-android-installers 1721167724

=== debian/changelog ===
google-android-installers (1721167724-1) unstable; urgency=medium

  * ndk packages: conflict with android-platform-ndk package
  * d/Makefile: Catch wget error and give some hint LP: #2060456
  * update debconf [1/3: config file] LP: #2060456
  * update debconf [2/3: po files]
  * update debconf [3/3: update postinst.in files]
  * d/*postinst.in: harmonize indentation
  * d/config.in: compare values as string in script
  * d/scripts/run_dh_clean.sh: remove also d/*.config files
  * set full URL as mirror value, add tencent mirror
  * NEW binary package: google-android-sdk-docs-installer
  * d/control: update description of sdk-docs package and fill placeholders
    automatically
  * d/*postrm*: remove extraneous cleanup of debconf database
  * d/sdk-docs.postrm.in: harmonize with the other postrm
  * Makefile for sdk-docs: support built-in zip, print hint on download
    failure, unzip silently
  * Makefile for sdk-docs: print message before unzipping
  * debian/sdk-docs.lintian-overrides.in: remove now useless override
  * debconf template: replace malformed-prompt-in-templates: use ':' instead
    of '?'
  * fix syntax error in debian/po/es.po
  * d/scripts/zip_file_install.sh: support also sdk-docs, update script purpose
  * apply shfmt on shell scripts
  * apply shellcheck suggested changes on scripts
  * add debian/.pre-commit-config.yaml
  * New upstream version 1721167724
    - NEW packages:
      - google-android-platform-34-ext12-installer
      - google-android-platform-35-installer
      - google-android-build-tools-35.0.0-installer
      - google-android-ndk-r26d-installer
      - google-android-ndk-r27-installer
      - google-android-sources-35-installer
    - update platform-tools package to 35.0.1
    - update platform-34-vanillaicecream package to rev4
    - update emulator package to 34.2.16
    - DELETED package:
      - google-android-platform-34-ext10-installer
  * refresh patches
  * d/README.source: don't use t64 libs in manual update of shlibs

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 17 Jul 2024 08:39:25 +0200

google-android-installers (1710437545-4) unstable; urgency=medium

  * Revert "d/tests/control: run 'build-tools:aapt_conflicts' with
    DEBIAN_FRONTEND=noninteractive"
  * d/tests/control: add "apt-utils" dep to 'build-tools:aapt_conflicts' test

 -- Fab Stz <fabstz-it@yahoo.fr>  Sun, 31 Mar 2024 09:20:16 +0200
