=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Source: google-android-installers
 Section: non-free/devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
+Maintainer: Fab Stz <fabstz-it@yahoo.fr>
 Uploaders: Roger Shimizu <rosh@debian.org>,
 Build-Depends: bash-completion,
                debhelper-compat (=13),
@@ -272,3 +271,4 @@
  This package will download the Google's Android SDK Platform 16 package and
  unpacks it into Debian-friendly paths.
  .
+ Google's Android SDK Platform includes android.jar file with fully compliant
