=== debian/tests/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Depends: google-android-build-tools-19.1.0-installer,
 Architecture: amd64 i386
 
-Test-Command: /usr/lib/android-sdk/build-tools/34.0.0/aapt v
-Depends: google-android-build-tools-34.0.0-installer,
+Test-Command: /usr/lib/android-sdk/build-tools/35.0.0/aapt v
+Depends: google-android-build-tools-35.0.0-installer,
 Architecture: amd64
 
 Test-Command: /usr/lib/android-sdk/extras/google/auto/desktop-head-unit --version
@@ -18,9 +18,9 @@
          google-android-build-tools-28.0.3-installer,
 Architecture: amd64
 
-Test-Command: DEBIAN_FRONTEND=noninteractive apt-get -y install aapt && dpkg-query --showformat='${db:Status-Abbrev}' -W google-android-build-tools-19.1.0-installer | head -c1 | grep -x r
+Test-Command: apt-get -y install aapt && dpkg-query --showformat='${db:Status-Abbrev}' -W 'google-android-build-tools-19.1.0-installer' | head -c1 | grep -x 'r'
 Features: test-name=build-tools:aapt_conflicts
-Depends: google-android-build-tools-19.1.0-installer,
+Depends: apt-utils, google-android-build-tools-19.1.0-installer,
 Architecture: amd64
 Restrictions: needs-root
