## google-android-installers 1726697545

=== debian/changelog ===
google-android-installers (1726697545-1) unstable; urgency=medium

  * update spanish translation (Closes: #1078330). Thanks to Camaleón
  * update german translation (Closes: #1082508). Thanks to Christoph Brinkhaus
  * New upstream version 1726697545
    - NEW packages:
      - google-android-cmdline-tools-16.0-installer
      - google-android-ndk-r27b-installer
      - google-android-platform-34-ext10-installer
      - google-android-platform-34-ext11-installer
    - update emulator package to 35.1.21
    - update platform-tools package to 35.0.2
  * refresh patches

 -- Fab Stz <fabstz-it@yahoo.fr>  Sat, 21 Sep 2024 13:40:16 +0200
